docs

# doInContext

suspend fun < T , BC : BehaviourContext > BC . doInContext (stopOnCompletion: Boolean = false, behaviourContextReceiver: CustomBehaviourContextReceiver < BC , T >): T
Content copied to clipboard

Launch behaviourContextReceiver in context of this as BehaviourContext and as kotlin.coroutines.CoroutineContext

## Parameters

stopOnCompletion

FALSE BY DEFAULT. Will stop this in case if passed true